package com.dcsoft.system.vehicle.service;

import com.dcsoft.system.vehicle.domain.CarPassGather;

import java.util.List;
import java.util.Map;

/**
 * 在场记录Service接口
 *
 * @author nichun
 * @date 2024-01-08
 */
public interface ICarPassGatherService
{
    /**
     * 查询在场记录
     *
     * @param id 在场记录主键
     * @return 在场记录
     */
    public CarPassGather selectCarPassGatherById(Long id);

    /**
     * 查询在场记录列表
     *
     * @param carPassGather 在场记录
     * @return 在场记录集合
     */
    public List<CarPassGather> selectCarPassGatherList(CarPassGather carPassGather);

    /**
     * 新增在场记录
     *
     * @param carPassGather 在场记录
     * @return 结果
     */
    public int insertCarPassGather(CarPassGather carPassGather);

    /**
     * 修改在场记录
     *
     * @param carPassGather 在场记录
     * @return 结果
     */
    public int updateCarPassGather(CarPassGather carPassGather);

    /**
     * 批量删除在场记录
     *
     * @param ids 需要删除的在场记录主键集合
     * @return 结果
     */
    public int deleteCarPassGatherByIds(Long[] ids);

    /**
     * 删除在场记录信息
     *
     * @param id 在场记录主键
     * @return 结果
     */
    public int deleteCarPassGatherById(Long id);

    public List<Map<String, Object>> parkTop(Long parkId);
}
